<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');

$bitForm = "nom1090";
$bitMod = "nom";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultar':
		echo consultar();
		break;

	case 'consultarPrestamo':
		echo consultarPrestamo();
		break;

	case 'guardar':
		echo guardar();
		break;

	case 'borrar':
		echo borrar();
		break;

}

function consultar() {
	global $empCod;

	$priv = new privileges();
	if (!$priv->consult($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorConsult());
	}

	$func = new functions();

	$numCod=utf8_decode($_POST['numCod']);

	# QUERYS
	$sMaestro = "SELECT m.*, 
				TRIM(m.mae_nom) AS mae_nom, 
				TRIM(m.mae_ape) AS mae_ape
				FROM maestro m
				WHERE m.mae_emp='$empCod' AND m.mae_cod='$numCod'";

	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$codigo=$numCod;
    $_SESSION['numCodPresta'] = $numCod;
	$resp = $db->sEx($sMaestro, "maestro");
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "maestro");
}

function consultarPrestamo() {
	global $empCod;

	$priv = new privileges();
	if (!$priv->consult($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorConsult());
	}

	$func = new functions();

	$numCod=$_POST['numCod'];
	$selTipopres=$_POST['selTipopres'];
	$dtDel=$_POST['dtDel'];

	# QUERYS
	$sPresta = "SELECT *, TRIM(pm_noprest) AS pm_noprest
				FROM pres_mae
				WHERE pm_emp='$empCod' AND pm_cod='$numCod' AND pm_tipopre='$selTipopres' AND pm_desde='$dtDel'";

	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sPresta, "pres_mae");
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "pres_mae");
}

function guardar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$numCod = utf8_decode($_POST["numCod"]);
	$selTipopres = $_POST["selTipopres"];
	$dtDel = utf8_decode($_POST["dtDel"]);
	$dtAl = utf8_decode($_POST["dtAl"]);
	$txtNoprest = utf8_decode($_POST["txtNoprest"]);
	$numMonto = (!empty($_POST["numMonto"])) ? $_POST["numMonto"] : 0;
	$numPlazo = (!empty($_POST["numPlazo"])) ? $_POST["numPlazo"] : 0;
	$numCuotam = (!empty($_POST["numCuotam"])) ? $_POST["numCuotam"] : 0;
	$numCuotasp = (!empty($_POST["numCuotasp"])) ? $_POST["numCuotasp"] : 0;
	$numSaldo = (!empty($_POST["numSaldo"])) ? $_POST["numSaldo"] : 0;

	# QUERYS PARA UN REGISTRO
	$iPresta = "INSERT INTO pres_mae (pm_emp, pm_cod, pm_tipopre, pm_desde, pm_hasta, pm_noprest, pm_monto, pm_plazo, pm_cuotam, pm_cuotasp, pm_saldo) VALUES ('$empCod','$numCod','$selTipopres','$dtDel','$dtAl','$txtNoprest','$numMonto','$numPlazo','$numCuotam','$numCuotasp','$numSaldo')";

	$uPresta = "UPDATE pres_mae SET pm_hasta='$dtAl', pm_noprest='$txtNoprest',pm_monto='$numMonto',pm_plazo='$numPlazo',pm_cuotam='$numCuotam',pm_cuotasp='$numCuotasp',pm_saldo='$numSaldo' WHERE pm_emp='$empCod' AND pm_cod='$numCod' AND pm_tipopre='$selTipopres' AND pm_desde='$dtDel'";


	# EJECUCION DE QUERYS 
	$db = new dbExec();
	if ($func->stringToBool($_POST['nuevo'])) {
		$resp = $db->iEx($iPresta);
		$db->iEx($func->iBitacora(utf8_decode("Se creó Prestamo empleado, Código: $numCod  $selTipopres  $txtNoprest  del $dtDel al $dtAl  Usuario: ").$usuNom, $bitMod, $bitForm));
	} else {
		$resp = $db->uEx($uPresta);
		$db->iEx($func->iBitacora(utf8_decode("Se modifico Prestamo empleado, Código: $numCod  $selTipopres   $txtNoprest  del $dtDel  al $dtAl Usuario: ").$usuNom, $bitMod, $bitForm));
	}

	$db->close();

	return json_encode($resp);
}

function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$numCod = utf8_decode($_POST["numCod"]);
	$selTipopres = utf8_decode($_POST["selTipopres"]);
	$dtDel = utf8_decode($_POST["dtDel"]);

	# QUERYS PARA UN REGISTRO
	$dPresta = "DELETE FROM pres_mae WHERE pm_emp='$empCod' AND pm_cod='$numCod' AND pm_tipopre='$selTipopres' AND pm_desde='$dtDel'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dPresta);
	$db->iEx($func->iBitacora(utf8_decode("Se Borro Prestamo empleado, Código: $numCod  $selTipopres  del $dtDel Usuario: ").$usuNom, $bitMod, $bitForm));

	$db->close();

	return json_encode($resp);
}

?>